Overview | Package | Class | Deprecated | Index | Help
| Groovy 1.7.6
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.shell.commands
[Groovy] Class RegisterCommand

    java.lang.Object
      org.codehaus.groovy.tools.shell.CommandSupport
          org.codehaus.groovy.tools.shell.commands.RegisterCommand

    class RegisterCommand
    extends CommandSupport

The 'register' command.

Authors:
  Chris K Wensel

Version:
  \$Id: RegisterCommand.groovy 12257 2008-05-04 08:51:41Z user57 \$

Field Summary

Fields inherited from class CommandSupport
NEWLINE, io, log, messages, registry, shell

Constructor Summary
`RegisterCommand(Shell shell)`

Method Summary
`Object` | `execute(List args)`

Methods inherited from class CommandSupport
alias, assertNoArguments, createCompletors, fail, fail, getBinding, getBuffer, getBuffers, getClassLoader, getCompletor, getDescription, getHelp, getHistory, getImports, getUsage, getVariables

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Constructor Detail

### RegisterCommand

    RegisterCommand(Shell shell)

Method Detail

### execute

    Object execute(List args)

Copyright © 2003-2010 The Codehaus. All rights reserved.